API ReferenceapicontentGET /v1/learn-articles/by-slug/{slug}

GET /v1/learn-articles/by-slug/\{slug\}

Service: content · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • slug (string) required

Query parameters

  • brandId (string) —

Responses

200 Single learn article looked up by slug

{
  "type": "object",
  "properties": {
    "id": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "number"
        }
      ]
    },
    "title": {
      "type": "string"
    },
    "slug": {
      "type": "string"
    },
    "brandId": {
      "type": "string"
    },
    "category": {
      "type": "string"
    },
    "excerpt": {
      "type": [
        "string",
        "null"
      ]
    },
    "body": {
      "type": "object",
      "additionalProperties": {}
    },
    "heroImage": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "number"
        },
        {
          "type": "object",
          "additionalProperties": {}
        },
        {
          "type": "null"
        }
      ]
    },
    "author": {
      "type": [
        "string",
        "null"
      ]
    },
    "publishedAt": {
      "type": [
        "string",
        "null"
      ]
    },
    "readingTimeMinutes": {
      "type": [
        "number",
        "null"
      ]
    },
    "tags": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "string"
      }
    },
    "status": {
      "type": "string"
    },
    "createdAt": {
      "type": "string"
    },
    "updatedAt": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "title",
    "slug",
    "brandId",
    "category",
    "status",
    "createdAt",
    "updatedAt"
  ]
}

404 Learn article not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  },
  "required": [
    "error"
  ]
}

Example

curl -X GET https://content.platform.loop.health/v1/learn-articles/by-slug/{slug} \
  -H "Authorization: Bearer $ACCESS_TOKEN"